<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>jQuery Form Submit</title>
<script src="testJson/jquery-1.12.4.min.js"></script>
</head>
<body>
    <div>
        <pre id="output"></pre>
    </div>
    <div>
        <pre id="input">
        "[MESSAGGIO]
        Versione=1.0
        Compagnia=014~AXA ASSICURAZIONI
        TipoMessaggio=COMINC~Incarico di Perizia
        IDMessaggio=D2046EB4-DE61-4625-B391-D30F9CCE1530
        RicevutaRitorno=N
        CodiceSoftware=
        [INCARICO]
        TipoIncarico=01~Auto - P.L. firma Doppia
        DataIncarico=10/09/2020
        NumeroSinistro=6302-99-012629
        TipoSinistro=02~RCA/CID
        AnnoEsercizio=2020
        TipoBeneDanneggiato=
        LuogoAvvenimento=CELANO~67043~AQ
        DataAvvenimento=19/08/2020
        OraAvvenimento=
        NumeroPolizzaCliente=240046312
        AgenziaPolizzaCliente=6302~AVEZZANO
        RamoPolizzaCliente=
        RegolaritaContrattuale=
        ValoreAssicurato=
        Franchigia=
        PercentualeScoperto=
        DatiAnagraficiCliente=DI PIZIO~ROBERTO
        CodiceFiscaleCliente=
        IndirizzoCliente=VIA ORESTE RANELLETTI 327~CELANO~67043~AQ
        RecapitoCliente=
        TipoVeicoloCliente=
        DatiVeicoloCliente=BW831HH~
        IndirizzoVisibilitaVeicCli=
        DanniDichiaratiVeicCli1=
        DanniDichiaratiVeicCli2=
        PuntiUrtoVeicCli1=
        CompagniaPolizzaControparte=
        NumeroPolizzaContoparte=
        AgenziaPolizzaControparte=
        DatiAnagraficiControparte=EDILIZIA VENDITTI~
        IndirizzoControparte=VIA CIFILANICO~TRASACCO~67059~AQ
        RecapitoControparte=
        TipoVeicoloControparte=
        DatiVeicoloCPT=BW831HH
        IndirizzoVisibilitaVeicCtp=
        TipoLuogoRiparazione=
        DinamicaIncidente=
        CasiCIDCliente=
        CasiCIDCTP=
        ResponsabilitaCliente=
        NumeroDanneggiati=
        EsistonoLesioni=
        Legale=
        AutoritaIntervenute=
        Ispettorato=60~SC Pronta Liquidazione
        TargaVeicoloDaPeriziare=BW831HH
        Note=
        Perizia=
        FiduciarioCodCompagnia=10854~STORNELLI PIERO
        [Allegati]
        File1=
        </pre>
    </div>
    <input type="file" id="file-selector" multiple>
    <script>
        const fileSelector = document.getElementById('file-selector');
        fileSelector.addEventListener('change', (event) => {
            const fileList = event.target.files;
            console.log(fileList);
        });
        function readImage(file) {
            // Check if the file is an image.
            if (file.type && file.type.indexOf('image') === -1) {
                console.log('File is not an image.', file.type, file);
                return;
            }

            const reader = new FileReader();
            reader.addEventListener('load', (event) => {
                img.src = event.target.result;
            });
            reader.readAsDataURL(file);
        }
        function generateJS(fieldName, rows, rowNr, fieldNr, fullRow=false)
        {
            var fields = rows[rowNr].split("=");

            if (fullRow == false) {
                fields = fields[1].split("~");
                var value = fields[fieldNr];
            } else
            {
                var value = fields[1];
            }

            return "$('#customField-input-"+fieldName+"').val('"+value+"').change();\n";
        }

        $(document).ready(function(){
            var output = "";
            var rows = $("#input").text().split("\n")

            output += generateJS("CompanyID", rows, 2, 0);
            output += generateJS("CompanyName", rows, 2, 1);
            output += generateJS("idMessage", rows, 4, 0);
            output += generateJS("MailConfirm", rows, 5, 0);
            output += generateJS("assignmentKind", rows, 8, 0, true);
            output += generateJS("createOrderDate", rows, 9, 0);
            output += generateJS("DamageNumber", rows, 10, 0);
            output += generateJS("assignmentID", rows, 10, 0);
            output += generateJS("insuranceType", rows, 11, 0, true);
            output += generateJS("exercise", rows, 12, 0);
            output += generateJS("CityIncident", rows, 14, 0);
            output += generateJS("zipCodeIncident", rows, 14, 1);
            output += generateJS("provinceIncident", rows, 14, 2);
            output += generateJS("DamageDate", rows, 15, 0);
            output += generateJS("PolicyNumber", rows, 17, 0);
            output += generateJS("idAgencia", rows, 18, 0);
            output += generateJS("AgenziaName", rows, 18, 1);
            output += generateJS("PolicyBranch2", rows, 19, 0);
            output += generateJS("RegularityContractual", rows, 20, 0);
            output += generateJS("InsuredValue", rows, 21, 0);
            output += generateJS("PolicyExcess", rows, 22, 0);
            output += generateJS("PercentageUncovered", rows, 23, 0);
            output += generateJS("addressFirstNameInsurant", rows, 24, 0);
            output += generateJS("addressSurnameInsurant", rows, 24, 1);
            output += generateJS("addressTaxCodeInsurant", rows, 25, 0);
            output += generateJS("address_streetInsurant", rows, 26, 0);
            output += generateJS("address_cityInsurant", rows, 26, 1);
            output += generateJS("address_zipInsurant", rows, 26, 2);
            output += generateJS("addressInsurantPV", rows, 26, 3);
            output += generateJS("addressPrivatePhoneInsurant", rows, 27, 0);
            output += generateJS("vehicleDescription", rows, 28, 0);
            output += generateJS("LicenseNumber", rows, 29, 0);
            output += generateJS("addressSurnameHolder", rows, 37, 0);
            output += generateJS("addressFirstNameHolder", rows, 37, 1);
            output += generateJS("address_streetHolder", rows, 38, 0);
            output += generateJS("address_cityHolder", rows, 38, 1);
            output += generateJS("address_zipHolder", rows, 38, 2);
            output += generateJS("Opponent_Pr", rows, 38, 3);
            output += generateJS("addressPrivatePhoneHolder", rows, 39, 0);
            output += generateJS("Opponent_vehicleDescription", rows, 40, 0);
            output += generateJS("Opponent_LicenseNumber", rows, 41, 0);
            output += generateJS("ExpCompanyID", rows, 52, 0);
            output += generateJS("ExpCompanyName", rows, 52, 1);
            output += generateJS("LicenseNumber", rows, 53, 0);
            output += generateJS("remarks", rows, 54, 0);
            output += generateJS("AspisBodyshopId", rows, 56, 0);
            output += generateJS("expertName", rows, 56, 1);


            $("#output").text(
                output
            );
        });
    </script>
</body>
</html>